# $Revision: 1.13 $, $Date: 2010/06/30 06:50:40 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Camellia
Summary:	Crypt::Camellia - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Camellia - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Camellia
Version:	1.0.2
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba2e8ffa62b22f0cc59c8c867318461a
URL:		http://search.cpan.org/dist/Crypt-Camellia/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Camellia is a variable-length key, 128-bit block cipher. It is the
NESSIE winner for 128-bit block ciphers. The default key length in
this implementation is 128 bits. This module supports the Crypt::CBC
interface.

%description -l pl.UTF-8
Camellia to 128-bitowy szyfr blokowy o zmiennej długości klucza. Jest
zwycięzcą NESSIE dla 128-bitowych szyfrów blokowych. Domyślny rozmiar
klucza w tej implementacji to 128 bitów. Moduł obsługuje interfejs
Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Camellia.pm
%dir %{perl_vendorarch}/auto/Crypt/Camellia
%{perl_vendorarch}/auto/Crypt/Camellia/Camellia.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Camellia/Camellia.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Camellia.spec,v $
Revision 1.13  2010/06/30 06:50:40  amateja
- release 4

Revision 1.12  2010/06/06 08:32:37  arekm
- release 3

Revision 1.11  2008/03/15 20:04:38  qboosh
- generic URL

Revision 1.10  2008-02-10 12:03:01  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:12  paladine
- formatting

Revision 1.5  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.3  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.2  2003/09/15 08:17:37  adamg
- updated to 1.0.2

Revision 1.1  2003/06/17 22:22:49  qboosh
- new
